Package python-cassandra-driver

This package is released with dual support for Python 2 and Python 3. To move things forward, you can start making dependent packages use the Python 3 version.


See python-cassandra-driver in the Fedora Pagure, or go directly to the corresponding spec file.

Fedora

A package that supports Python 3 is in Rawhide.

RPMs
  • python2-cassandra-driver-3.14.0-3.fc29
    • × libpython2.7.so.1.0()(64bit)
    • × python(abi) = 2.7
  • python3-cassandra-driver-3.14.0-3.fc29
    • libpython3.7m.so.1.0()(64bit)
    • python(abi) = 3.7
Links

Dependent packages

Run time

Build time

None.

Dependency Tree

Run time

Build time

Project Size

~11.5K total lines of code
~10.8K (94%) Python
~564 (4.9%) C/C++ w/ CPython API
(approximation as of 1.1.1-7.fc23)

Dependencies

Run time

1 Python 3 only; 2 Dual support; 2 Dropped
Package Upstream Fedora
  python-blist  
  python-scales  
  python3   bug (NEW)
  python-futures   X
  python2   X

Build time

1 Python 3 only; 9 Dual support; 2 Dropped
Package Upstream Fedora
  Cython  
  python-blist  
  python-eventlet  
  python-mock  
  python-nose  
  python-packaging  
  python-scales  
  python-setuptools  
  python-sure  
  python3   bug (NEW)
  python-futures   X
  python2   X